Gatana logoGatana Docs
RoutesTools

/tools

List all cached tools of every MCP server the caller has access to, including the disabled ones

GET
/tools
AuthorizationBearer <token>

In: header

Query Parameters

search?string
schemas?string

Set to false to blank the tool schemas in the response

Default"true"

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/tools"
{
  "tools": [
    {
      "tenantId": "string",
      "toolName": "string",
      "description": "string",
      "schema": {},
      "outputSchema": {},
      "annotations": {},
      "isEnabled": true,
      "toolNameOverride": "string",
      "descriptionOverride": "string",
      "inputSchemaOverride": {},
      "overrideToolName": true,
      "overrideDescription": true,
      "overrideInputSchema": true,
      "serverSlug": "string",
      "universalName": "string"
    }
  ]
}